﻿using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Linq;
using System.Text;
using System.Windows.Forms;
using Telerik.WinControls.RadControlSpy;
using Telerik.WinControls.Primitives;

namespace _458872
{
    public partial class Form1 : Form
    {
        bool toggleState = false;
        public Form1()
        {
            InitializeComponent();

            radSplitButtonElement1.MinSize = new System.Drawing.Size(100, 0);
            radSplitButtonElement1.MaxSize = new System.Drawing.Size(100, 0);
            radSplitButtonElement1.DropDownMenu.ItemSelected += new Telerik.WinControls.ItemSelectedEventHandler(DropDownMenu_ItemSelected);
            radSplitButtonElement1.DropDownMenu.Items[0].Select();
            new RadControlSpyForm().Show();
            radSplitButtonElement1.ActionButton.MouseDown += new MouseEventHandler(ActionButton_MouseDown);

        }

        void DropDownMenu_ItemSelected(object sender, Telerik.WinControls.ItemSelectedEventArgs args)
        {
            radSplitButtonElement1.DefaultItem = args.Item;
            radSplitButtonElement1.Text = args.Item.Text;
        }

        void ActionButton_MouseDown(object sender, MouseEventArgs e)
        {
            toggleState = !toggleState;
            ToggleState(toggleState);
            this.Text = Guid.NewGuid().ToString();
        }

        void ToggleState(bool state)
        {
            if (state)
            {
                radSplitButtonElement1.ActionButton.ButtonFillElement.BackColor = Color.FromArgb(255, 213, 163);
                radSplitButtonElement1.ActionButton.ButtonFillElement.BackColor2 = Color.FromArgb(255, 187, 110);
                radSplitButtonElement1.ActionButton.ButtonFillElement.BackColor3 = Color.FromArgb(255, 174, 64);
                radSplitButtonElement1.ActionButton.ButtonFillElement.BackColor4 = Color.FromArgb(254, 235, 118);
                radSplitButtonElement1.ArrowButton.Fill.BackColor = Color.FromArgb(255, 213, 163);
                radSplitButtonElement1.ArrowButton.Fill.BackColor2 = Color.FromArgb(255, 187, 110);
                radSplitButtonElement1.ArrowButton.Fill.BackColor3 = Color.FromArgb(255, 174, 64);
                radSplitButtonElement1.ArrowButton.Fill.BackColor4 = Color.FromArgb(254, 235, 118);
            }
            else
            {
                radSplitButtonElement1.ActionButton.ButtonFillElement.ResetValue(FillPrimitive.BackColorProperty, Telerik.WinControls.ValueResetFlags.Local);
                radSplitButtonElement1.ActionButton.ButtonFillElement.ResetValue(FillPrimitive.BackColor2Property, Telerik.WinControls.ValueResetFlags.Local);
                radSplitButtonElement1.ActionButton.ButtonFillElement.ResetValue(FillPrimitive.BackColor3Property, Telerik.WinControls.ValueResetFlags.Local);
                radSplitButtonElement1.ActionButton.ButtonFillElement.ResetValue(FillPrimitive.BackColor4Property, Telerik.WinControls.ValueResetFlags.Local);
                radSplitButtonElement1.ArrowButton.Fill.ResetValue(FillPrimitive.BackColorProperty, Telerik.WinControls.ValueResetFlags.Local);
                radSplitButtonElement1.ArrowButton.Fill.ResetValue(FillPrimitive.BackColor2Property, Telerik.WinControls.ValueResetFlags.Local);
                radSplitButtonElement1.ArrowButton.Fill.ResetValue(FillPrimitive.BackColor3Property, Telerik.WinControls.ValueResetFlags.Local);
                radSplitButtonElement1.ArrowButton.Fill.ResetValue(FillPrimitive.BackColor4Property, Telerik.WinControls.ValueResetFlags.Local);
            }
        }
    }
}
